xmlHandler {XML} | R Documentation

## Example XML Event Parser Handler Functions

### Description

A closure containing simple functions for the different types of events potentially called by the xmlEventParse, and some tag-specific functions to illustrate how one can add functions for specific DTDs and XML element types. Contains a local list which can be mutated by invocations of the closure's function.

### Usage

    xmlHandler()

### Value

List containing the functions enumerated in the closure definition along with the list.

### Note

This is just an example.

### Author(s)

Duncan Temple Lang

### See Also

xmlEventParse, xmlTreeParse

### Examples

    ## Not run:
    xmlURL <- "http://www.omegahat.net/Scripts/Data/mtcars.xml"
    xmlText <- paste(scan(xmlURL, what="", sep="\n"),"\n",collapse="\n")

    ## End(Not run)

    xmlURL <- system.file("exampleData", "mtcars.xml", package="XML")
    xmlText <- paste(readLines(xmlURL), "\n", collapse="")
    xmlEventParse(xmlText, handlers = NULL, asText=TRUE)
    xmlEventParse(xmlText, xmlHandler(), useTagName=TRUE, asText=TRUE)

[Package XML version 3.98-1.4 Index]